%define name goffice
%define version 0.0.4
%define rel 1
%define major 1
%define libname %mklibname %name %major

Summary: Set of document centric objects and utilities for glib/gtk
Name: %{name}
Version: %{version}
Release: %mkrel %rel
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1:1.12.2
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %libname-devel
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Development files of the Goffice library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%_datadir/%name
%_datadir/pixmaps/%name
%dir %_libdir/%name/

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*
%_libdir/%name/*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/libgoffice-1/
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 08 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Fri Sep  2 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package
